import 'package:aman_kassa_flutter/views/check/image_show_container.dart';
import 'package:flutter/material.dart';
import 'package:qr_flutter/qr_flutter.dart';

class QrView extends StatefulWidget {
  final ImageShowModel data;

  QrView(this.data);

  @override
  _QrViewState createState() => _QrViewState();
}

class _QrViewState extends State<QrView> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        centerTitle: true,
        title: Text( widget.data.title),
      ),
      body: Container(
        child: Center(
          child: QrImageView(
            data: widget.data.url!,
            version: QrVersions.auto,
            size: 220.0,
          ),
        ),
      ),
    );
  }
}
